PWCK(8)

NAME
pwck - verify integrity of password files

SYNOPSIS

pwck [-q] [-s] [passwd [ shadow ]]

pwck [-q] [-r] [passwd shadow]

DESCRIPTION

The pwck command verifies the integrity of the system authentication information. All entries in the /etc/passwd and /etc/shadow are checked to see that the entry has the proper format and valid data in each field. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Checks are made to verify that each entry has:

    • the correct number of fields

    • a unique user name

    • a valid user and group identifier

    • a valid primary group

    • a valid home directory

    • a valid login shell

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

OPTIONS

The options which apply to the pwck command are:

-q
    Report errors only. The warnings which do not require any action from the user won't be displayed.

-r
    Execute the pwck command in read-only mode.

-s
    Sort entries in /etc/passwd and /etc/shadow by UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PASS_MAX_DAYS (number)
    The maximum number of days a password may be used. If the password is older than this, a password change will be forced. If not specified, -1 will be assumed (which disables the restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, -1 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    The number of days warning given before a password expires. A zero means warning is given only upon the day of expiration, a negative value means no warning is given. If not specified, no warning will be provided.

FILES

/etc/group
    Group account information.

/etc/passwd
    User account information.

/etc/shadow
    Secure user account information.

SEE ALSO

group(5), passwd(5), shadow(5), usermod(8).

EXIT VALUES

The pwck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad password entries

3
    can't open password files

4
    can't lock password files

5
    can't update password files